package jp.co.intra_mart.sample.im_workflow.tsfw.domain.service;

import jp.co.intra_mart.foundation.workflow.exception.WorkflowException;
import jp.co.intra_mart.foundation.workflow.listener.IWorkflowActvMatterDeleteListener;
import jp.co.intra_mart.framework.extension.spring.context.ApplicationContextProvider;
import jp.co.intra_mart.sample.im_workflow.WorkflowActvMatterDeleteListenerService;

public class WorkflowActvMatterDeleteListener implements IWorkflowActvMatterDeleteListener {

    /**
     * 未完了案件削除処理リスナーの実行メソッド
     * <p>
     * @param loginGroupId
     * @param localeId
     * @param systemMatterId
     * @param userDataId
     * @throws WorkflowException
     */
    @Override
    public void execute(final String loginGroupId, final String localeId, final String systemMatterId, final String userDataId) throws WorkflowException {
        // 未完了案件削除処理リスナーのサービスを取得します。
        final WorkflowActvMatterDeleteListenerService service = ApplicationContextProvider.getApplicationContext().getBean(WorkflowActvMatterDeleteListenerService.class);
        service.execute(loginGroupId, localeId, systemMatterId, userDataId);
    }
}
